<app-header-logged pageOrigine="/assurinfove-vehicule-flotte">
  <ion-back-button text="" defaultHref="/simbranauto"></ion-back-button>
</app-header-logged>


<ion-content *ngIf="endChargement" padding>
  <app-refresher></app-refresher>
  <app-ariane etape=4> </app-ariane>
  <div class="container">
    <div class="headingContent">
      <p class="heading">Votre Selection</p>
    </div>
    <BR>

    <form [formGroup]="onDeclarationForm">
      <div class="contentBlock">
        <div class="inputBlock">

          <p class="question" text-left> Date d'effet</p>
          <div class="itemInput" *ngIf="typeOrigineRoutine == typeRoutineSimulation">
            <!-- <ion-text *ngIf="inputDebut!=null">{{utilsService.displayDate(inputDebut.value)}}</ion-text> -->
            <ion-input [value]="utilsService.displayDateFormatInput(this.simulationActif.dateDebut)"
              class="labelTitreInput" (ionInput)="ajustInput('debut')" (ionChange)="ajustInputSecondeSession()"
              [ngClass]="dateDebutError ?'dateErreur':''" #debut formControlName="debut" type="date"></ion-input>
          </div>
          <div *ngIf="typeOrigineRoutine == typeRoutineNewContrat || typeOrigineRoutine == typeRoutineRenewContrat"
            class="itemInput">
            <!-- <ion-text *ngIf="inputDebut!=null">{{utilsService.displayDate(inputDebut.value)}}</ion-text> -->
            <ion-input [value]="utilsService.displayDateFormatInput(this.operationActif.dateEffet)"
              class="labelTitreInput" (ionInput)="ajustInput('debut')" (ionChange)="ajustInputSecondeSession()"
              [ngClass]="dateDebutError ?'dateErreur':''" #debut formControlName="debut" type="date"></ion-input>
          </div>
        </div>

        <div class="inputBlock ">
          <p class="question" text-left> Durée</p>
          <div class="itemInput">
            <ion-select #duree placeholder="durée" class="labelTitreInput" (ionChange)="ajustInputSecondeSession()"
              [value]="valueDuree" [ngClass]="dateFinError ?'dateErreur':''">

              <ion-select-option value="15"> 15 Jours</ion-select-option>
              <ion-select-option value="1"> 1 Mois</ion-select-option>
              <ion-select-option value="2"> 2 Mois</ion-select-option>
              <ion-select-option value="3"> 3 Mois</ion-select-option>
              <ion-select-option value="4"> 4 Mois</ion-select-option>
              <ion-select-option value="5"> 5 Mois</ion-select-option>
              <ion-select-option value="6"> 6 Mois</ion-select-option>
              <ion-select-option value="7"> 7 Mois</ion-select-option>
              <ion-select-option value="8"> 8 Mois</ion-select-option>
              <ion-select-option value="9"> 9 Mois</ion-select-option>
              <ion-select-option value="10"> 10 Mois</ion-select-option>
              <ion-select-option value="11"> 11 Mois</ion-select-option>
              <ion-select-option value="12"> 1 an </ion-select-option>
            </ion-select>

          </div>
        </div>

        <div class="inputBlock inputBlockFin">

          <p class="question" text-left> Date de Cloture</p>
          <div class="itemInput" *ngIf="typeOrigineRoutine == typeRoutineSimulation">
            <ion-text *ngIf="inputFin!=null">{{utilsService.displayDate(inputFin.value)}}</ion-text>
            <ion-input style="opacity: 0" [value]="utilsService.displayDateFormatInput(this.simulationActif.dateFin)"
              readonly class="labelTitreInput labelFinInput" (ionInput)="ajustInput('fin')"
              [ngClass]="dateFinError ?'dateErreur':''" #fin formControlName="fin" type="date"></ion-input>
          </div>
          <div *ngIf="typeOrigineRoutine == typeRoutineNewContrat || typeOrigineRoutine == typeRoutineRenewContrat"
            class="itemInput">
            <ion-text *ngIf="inputFin!=null">{{utilsService.displayDate(inputFin.value)}}</ion-text>
            <ion-input style="opacity: 0" [value]="utilsService.displayDateFormatInput(this.operationActif.dateCloture)"
              readonly class="labelTitreInput labelFinInput" (ionInput)="ajustInput('fin')"
              [ngClass]="dateFinError ?'dateErreur':''" #fin formControlName="fin" type="date"></ion-input>
          </div>

        </div>

        <div class="inputBlock">
          <p class="question" text-center> Modifier</p>
          <div class="image" (click)="validerChangementDate()">
            <img src="../../assets/icon/modifier.svg">
          </div>

        </div>






      </div>


    </form>

    <!--jdjd-->
    <!-- new designe       -->
    <div *ngIf="typeOrigineRoutine == typeRoutineSimulation">
      <div class="contentBlock" *ngFor="let simulation of listeSimFlotte;let i = index">

        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Immatriculation</p>
          <div [ngClass]="!simulation.objet.infosValide? 'rowIncomplet' : ''" class="itemInput itemInputInfos">
            <ion-text>{{simulation.objet.intitule}}</ion-text>
          </div>

        </div>
        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Meilleur tarif</p>
          <div class="itemInput itemInputInfos">
            <ion-text>{{5000*(i+1)}}</ion-text>
          </div>
        </div>
        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Modifier</p>
          <div class="image" (click)="editInfos(simulation)">
            <img src="../../assets/icon/modifier-red.svg" *ngIf="!simulation.objet.infosValide">
            <img src="../../assets/icon/modifier.svg" *ngIf="simulation.objet.infosValide">
          </div>

        </div>
        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Options</p>
          <div class="image" (click)="modifierOptions(typeRoutineSimulation,simulation)">
            <img src="../../assets/icon/modifier.svg">
          </div>

        </div>
        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Retirer</p>
          <div class="image" (click)="delete(simulation.numeroDansFlotte)">
            <img src="../../assets/icon/supprimer.svg">
          </div>
        </div>

      </div>

      <div class="contentBlock">

        <div>

          <div class="itemInput itemInputInfos inputInfosTarif">
            <ion-text>TARIF SELECTION</ion-text>
          </div>

        </div>
        <div>

          <div class="itemInput itemInputInfos">
            <ion-text class="prix">{{5000 * (listeSimFlotte.length+1)}}</ion-text>
          </div>
        </div>
        <div class="invisibleTitre">
          <p>Modifier</p>
          <div class="image">
            <img src="../../assets/icon/modifier.svg">
          </div>

        </div>
        <div class="invisibleTitre">
          <p>Modifier</p>
          <div class="image">
            <img src="../../assets/icon/modifier.svg">
          </div>

        </div>
        <div class="invisibleTitre">
          <p> Retirer</p>
          <div class="image">
            <img src="../../assets/icon/supprimer.svg">
          </div>
        </div>




      </div>

    </div>
    <div *ngIf="typeOrigineRoutine == typeRoutineNewContrat || typeOrigineRoutine == typeRoutineRenewContrat">
      <div class="contentBlock" *ngFor="let routine of listeRoutineContrat;let i = index">

        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Immatriculation</p>
          <div class="itemInput itemInputInfos">
            <ion-text>{{routine.objet.matricule}}</ion-text>
          </div>

        </div>
        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Meilleur tarif</p>
          <div class="itemInput itemInputInfos">
            <ion-text>450000</ion-text>
          </div>
        </div>
        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Modifier</p>
          <div class="image" (click)="editContrat(routine)">
            <img src="../../assets/icon/modifier.svg">
          </div>

        </div>
        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''">Options</p>
          <div class="image" (click)="modifierOptions(typeRoutineNewContrat,routine)">
            <img src="../../assets/icon/modifier.svg">
          </div>

        </div>
        <div>
          <p [ngClass]="i!=0?'invisibleTitre':''" *ngIf="listeRoutineContrat.length>1">Retirer</p>
          <div class="image" *ngIf="listeRoutineContrat.length>1" (click)="deleteRoutineContrat(i)">
            <img src="../../assets/icon/supprimer.svg">
          </div>
        </div>

      </div>

      <div class="contentBlock">

        <div>

          <div class="itemInput itemInputInfos inputInfosTarif">
            <ion-text>TARIF SELECTION</ion-text>
          </div>

        </div>
        <div>

          <div class="itemInput itemInputInfos">
            <ion-text class="prix">450000</ion-text>
          </div>
        </div>
        <div class="invisibleTitre">
          <p>Modifier</p>
          <div class="image">
            <img src="../../assets/icon/modifier.svg">
          </div>

        </div>
        <div class="invisibleTitre">
          <p>Modifier</p>
          <div class="image">
            <img src="../../assets/icon/modifier.svg">
          </div>

        </div>
        <div class="invisibleTitre">
          <p *ngIf="listeRoutineContrat.length>1"> Retirer</p>
          <div *ngIf="listeRoutineContrat.length>1" class="image">
            <img src="../../assets/icon/supprimer.svg">
          </div>
        </div>

      </div>


    </div>
    <p class="infosInvalide" [hidden]="!this.infosValide">Veuillez compléter les informations des vehicules</p>
    <div text-end style="margin-top:5px;margin-bottom:5px;">
      <ion-button (click)="addVehicule()" slot="end">
        <ion-icon class="ion-2x" name="add-circle-outline"></ion-icon>
        <ion-icon class="ion-2x" name="car"></ion-icon>
        <!-- <ion-text> ajouter vehicule </ion-text> -->
      </ion-button>
    </div>


    <!-- ancien design -->





  </div>
  <div class="container containerBas">
    <div class="headingContent">
      <p class="heading">Meilleurs Tarifs</p>
    </div>
    <p class="nombreCA" text-center>Nous avons {{items.length}} offres correspondant à votre selection parmi nos
      partenaires</p>


    <div *ngFor="let item of items;let i =index ">
      <div class="contentBlock">


        <p>

          <img class="logo" [src]="item.logo">


        </p>

        <p>
          <ion-label class="prix"><strong> {{item.prix}} </strong></ion-label>


          <ion-label class="prix"><strong>{{deviseMonnaie}}</strong></ion-label>
        </p>

        <div>
          <p class="titreMarketPlace">valider</p>
          <div class="image" (click)="validerFlotte(item.compagnie,item.prix,item.caActuel)">
            <img src="../../assets/icon/valider.svg">
          </div>
        </div>



        <div>
          <p class="titreMarketPlace">details</p>
          <div class="image" *ngIf="item.zipped" (click)="montrerDetails(item)">

            <img src="../../assets/icon/details.svg">
          </div>
          <div class="image" *ngIf="!item.zipped" (click)="cacherDetails(item)">
            <img src="../../assets/icon/close.svg">
          </div>
        </div>

      </div>
      <ion-card class="cardCA" *ngIf="!item.zipped">

        <ion-label ion-text-justify-center class="titreSection"><small>Selon votre déclaration</small></ion-label>
        <ion-grid>

          <ion-row>
            <ion-col text-center>
              <ion-label class="labelTitreDate"> Date d'effet</ion-label>


            </ion-col>
            <ion-col text-center>
              <ion-label class="labelTitreDate"> Date de cloture</ion-label>

            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col text-center>
              <ion-label class="labelDate" *ngIf="typeOrigineRoutine ==typeRoutineSimulation">
                {{displayDate(simulationActif.dateDebut)}}</ion-label>
              <ion-label class="labelDate"
                *ngIf="typeOrigineRoutine ==typeRoutineNewContrat ||typeOrigineRoutine ==typeRoutineRenewContrat ">
                {{displayDate(operationActif.dateEffet)}}</ion-label>

            </ion-col>
            <ion-col text-center>
              <ion-label class="labelDate" *ngIf="typeOrigineRoutine ==typeRoutineSimulation">
                {{displayDate(simulationActif.dateFin)}}</ion-label>
              <ion-label class="labelDate"
                *ngIf="typeOrigineRoutine ==typeRoutineNewContrat ||typeOrigineRoutine ==typeRoutineRenewContrat ">
                {{displayDate(operationActif.dateCloture)}}</ion-label>
            </ion-col>
          </ion-row>

        </ion-grid>

        <ion-label class="titreSection"><small>Vos options</small></ion-label>
        <div *ngIf="typeOrigineRoutine ==typeRoutineSimulation">

          <ion-grid *ngFor="let simulation of listeSimFlotte;let i = index">
            <ion-row *ngIf="listeSimFlotte.length>1" class="headerRow">
              <ion-col text-center>
                <ion-label class="nomContenu"><small>{{simulation.objet.intitule}}</small></ion-label>
              </ion-col>
              <ion-col text-center>
                {{item.objetsPrix[i].prix}}

              </ion-col>

            </ion-row>
            <ion-row *ngFor="let garantie of simulation.typeGaranties">
              <ion-col text-center>
                <small color="blue"> {{garantie.nom}} </small>
              </ion-col>
              <ion-col text-center
                (click)="chargerConditionsGenerales(recupererConditionsGarantie(garantie,item.compagnie).id) ">
                <small> {{item.compagnie.nom+" "}}CG-{{recupererConditionsGarantie(garantie,item.compagnie).id}}</small>
                <ion-icon color="primary" name="eye"></ion-icon>
              </ion-col>

            </ion-row>

          </ion-grid>




        </div>
        <div *ngIf="typeOrigineRoutine ==typeRoutineNewContrat ||typeOrigineRoutine ==typeRoutineRenewContrat ">
          <ion-grid *ngFor="let routine of listeRoutineContrat;let i = index">
            <ion-row *ngIf="listeRoutineContrat.length>1" class="headerRow">
              <ion-col text-center>
                <ion-label class="nomContenu"><small>{{routine.objet.matricule}}</small></ion-label>
              </ion-col>
              <ion-col text-center>
                5000

              </ion-col>

            </ion-row>

            <ion-row *ngFor="let garantie of routine.operation.garanties">
              <ion-col text-center>
                <small color="blue"> {{garantie.nom}} </small>

              </ion-col>
              <ion-col text-center
                (click)="chargerConditionsGenerales(recupererConditionsGarantie(garantie,item.compagnie).id) ">
                <small> {{item.compagnie.nom+" "}}CG-{{recupererConditionsGarantie(garantie,item.compagnie).id}}</small>
                <ion-icon color="primary" name="eye"></ion-icon>
              </ion-col>

            </ion-row>


          </ion-grid>
        </div>


      </ion-card>

    </div>


    <!-- fin -->

    <ion-button (click)="selectionBranche()" class="simuler" #bouton [ngClass]="cachebouton?'invisible':''" margin
      size="small" shape="round" expand="full" color="primary">
      <ion-text>Lancer une simulation</ion-text>
    </ion-button>

  </div>

</ion-content>
<ion-footer>
  <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>